### Name: orderwl
### Title: Sorting the Wavelengths of a hyperSpec Object
### Aliases: orderwl


### ** Examples


## Example 1: different drawing order in plotspc
spc <- new ("hyperSpec", spc = matrix (rnorm (5) + 1:5, ncol = 5))
spc <- cbind (spc, spc+.5)

plot (spc, "spc")
plot (orderwl (spc), "spc", add = TRUE, col = "red")

## Example 2
spc <- new ("hyperSpec", spc = matrix (rnorm (5)*2 + 1:5, ncol = 5))
spc <- cbind (spc, spc)

plot (seq_len(nwl(spc)), spc[[]], type = "b")
spc[[]]

spc <- orderwl (spc)
lines (seq_len(nwl(spc)), spc[[]], type = "l", col = "red")
lines (seq_len(nwl(spc)) / 2 + 0.5, spc[[]], type = "l", col = "blue")
spc[[]]



