### Name: plotmap
### Title: Plot a Map and Identify Spectra
### Aliases: plotmap map.identify
### Keywords: hplot

### ** Examples

background <- apply (chondro, 2, quantile, probs = 0.05)
corrected <- sweep (chondro, 2, background, "-")

plotmap (corrected, func = max)

plotmap (corrected, func = max,
         trellis.args = list (col.regions = gray ((100 : 0)/100))
        )

dist <- pearson.dist (chondro[[]])
dend <- hclust (dist, method = "ward")
z <- cutree (dend, h = 0.15)

plotmap (chondro, z = z)

plotmap (chondro, z = as.factor (z))



